* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Variables de color */
:root {
  --bg-main: #0F1412;
  --bg-card: #1B231E;
  --accent: #3FAF75;
  --accent-soft: #6FCF69;
  --text-main: #F5F5F5;
  --text-soft: #A3A3A3;
}

/* Fondo */
body {
  font-family: "Segoe UI", Roboto, Arial, sans-serif;
  background: linear-gradient(135deg,#0F1412,#1B231E);
  color: var(--text-main);
  line-height: 1.6;
  padding: 40px 20px;
}

/* Contenedor */
.container {
  max-width: 900px;
  margin: auto;
  background: var(--bg-card);
  padding: 45px;
  border-radius: 16px;
  border: 1px solid rgba(255,255,255,0.04);
  box-shadow: 0 20px 40px rgba(0,0,0,0.7);
}

/* Header */
header {
  margin-bottom: 35px;
  display: flex;
  align-items: center;
  gap: 25px;
}

/* Foto */
#profilepic {
  width: 175px;
  height: 175px;
  border-radius: 50%;
  object-fit: cover;
  object-position: center 10%;
  border: 3px solid var(--accent);
  box-shadow: 0 0 20px rgba(63,175,117,0.3);
}

/* Nombre */
h1 {
  font-size: 34px;

}

/* Subtitulo */
.subtitle {
  color: var(--text-soft);
  margin-top: 8px;
  font-size: 15px;
}

/* Secciones */
section {
  margin-top: 35px;
}

/* Titulos */
h2 {
  font-size: 20px;
  margin-bottom: 15px;
  position: relative;
  padding-left: 15px;

}

/* Barra decorativa */
h2::before{
  content:"";
  position:absolute;
  left:0;
  top:5px;
  width:4px;
  height:20px;
  background: var(--accent);
  border-radius:4px;
}

/* Skills */
.skills {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.skill {
  background: rgba(63,175,117,0.08);
  color: var(--text-main);
  padding: 6px 14px;
  border-radius: 20px;
  font-size: 13px;
  border: 1px solid rgba(63,175,117,0.25);
  transition: all .25s ease;
}

/* Hover verde */
.skill:hover{
  background: var(--accent);
  color: #0F1412;
  transform: translateY(-2px);
}

.project-card h3{
  margin-bottom:5px;
  color: var(--text-main);
}

/* Educación y formación */
.education{
  list-style-type: disc;
  margin-left: 18px;
  padding-left: 0;
  color: var(--text-main);
  gap: 6px;
}

.education li{
  padding: 10px 12px;
  font-size: 15px;
  line-height: 1.5;
}

.education li strong{
  display: block;
  color: var(--text-main);
  font-weight: 700;
  margin-bottom: 4px;
}

.education-details{
  display: block;
  color: var(--text-soft);
  font-size: 13px;
}

.education li::marker{
  color: var(--accent);
}

/* Contacto */
section:last-child p{
  color: var(--text-soft);
  margin-top: 5px;
}

/*PROYECTOS*/
.projects{
  display:flex;
  flex-direction:column;
  gap:15px;
}

.project-card{
  background:#0F1412;
  padding:18px;
  border-radius:10px;
  border:1px solid rgba(255,255,255,0.05);
  transition:all .25s ease;
}

.project-card:hover{
  border-color:#3FAF75;
  transform:translateY(-3px);
}

.project-card h3{
  margin-bottom:8px;
}

.project-tech{
  margin-top:10px;
  display:flex;
  gap:8px;
}

.project-tech span{
  font-size:12px;
  padding:4px 10px;
  border-radius:20px;
  background:rgba(63,175,117,0.1);
  border:1px solid rgba(63,175,117,0.3);
}

.project-links {
  margin-top: 12px;
  display: flex;
  gap: 10px;
}

.project-links a {
  font-size: 12px;
  padding: 4px 12px;
  border-radius: 20px;
  border: 1px solid rgba(63,175,117,0.5);
  color: var(--accent);
  transition: all .25s ease;
}

.project-links a:hover {
  background: var(--accent);
  color: #0F1412;
}

/* Links */
a{
  color: var(--text-main);
  text-decoration: none;
  transition: color .2s;
}

a:hover{
  color: var(--accent);
}

/* Responsive */
@media (max-width:768px){

  header{
    flex-direction: column;
    text-align: center;
  }

  #profilepic{
    width:120px;
    height:120px;
  }

  .container{
    padding:30px;
  }

  h1{
    font-size:26px;
  }

    .project-tech{
    flex-wrap: wrap;
  }

  .project-links{
    flex-wrap: wrap;
  }

  .skills{
    gap: 8px;
  }

}